%global momorel 5
%global releasename 20080101

Name:		xgawk
Summary:	Extensible GNU awk text processing utility with new features
Version:	3.1.6
Release:	0.1.%{releasename}.%{momorel}m%{?dist}
License:	GPL
Group:		Applications/Text
URL:		http://sourceforge.net/projects/xmlgawk
Source0:	http://dl.sourceforge.net/sourceforge/xmlgawk/%{name}-%{version}-%{releasename}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{name} is an experimental extension of the GNU Awk interpreter that supports
dynamically loaded extensions including XML processing, time handling
(gettimeofday and sleep),  POSIX file interface functions (stat), PostgreSQL,
and others.

%prep
%setup -q -n %{name}-%{version}-%{releasename}

%build
%configure
make SHELL=/bin/bash
make -C doc xmlgawk.ps
(cd doc && gzip --best *.ps)
make check

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}/bin SHELL=/bin/bash

mkdir -p %{buildroot}%{_bindir}
mv -f %{buildroot}/bin/xmlgawk %{buildroot}%{_bindir}/xmlgawk
ln -sf ../../bin/%{name} %{buildroot}%{_bindir}/%{name}
ln -sf ../../bin/p%{name} %{buildroot}%{_bindir}/p%{name}

rm -f %{buildroot}%{_infodir}/dir

%find_lang %name

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/xmlgawk.info %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/xmlgawk.info %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING FUTURES LIMITATIONS NEWS
%doc README_d POSIX.STD doc/xmlgawk.ps.gz
/bin/*
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*.info*
%{_libdir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/%{name}

%changelog
* Sat Jul 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.6-0.1.20080101.5m)
- revise for bash-4.0

* Sat Mar 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.6-0.1.20080101.4m)
- revise install-info

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.6-0.1.20080101.3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.6-0.1.20080101.2m)
- rebuild against gcc43

* Mon Mar  3 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.6-0.1.20080101.1m)
- import to Momonga

* Sun Mar 19 2006  Andrew J. Schorr <ajschorr@users.sourceforge.net> - 3.1.5-0.1.beta.20060401
- Patched for inclusion in the distribution.

* Fri Mar 10 2006  Bill Rugolsky <bill@rugolsky.com>
- Initial packaging.
